<?php

    include("../../classes/database.class.php");
    include("../../classes/tipoEntidadeModel.class.php");
    include("../../classes/tipoEntidadeController.class.php");

    $idTipoEntidade = $_POST["idTipoEntidade"];
    $idUsuario = $_POST["idUsuario"];
    $nome = $_POST["nome"];
    $nota = $_POST["nota"];

    if($nome == ""){
        $nome = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new TipoEntidadeController($idUsuario, $nome, $nota);
    $id = $modelo->updateTipoEntidade($idTipoEntidade);
    echo $id;